<?php
$title = 'Биллинг | Вывод средств';
//Подключаем функции
require_once ('../system/function.php');
//Подключаем шапку
require_once ('../system/header.php');
//Защищаем от не авторизованных
if(!$user['id']){
header('Location: '.$HOME.'');
exit();
}
//Объявляем переменные
$money=mysql_real_escape_string($_POST['money']);
$money_user=$user['money'];
//Если скрипт вызван как обработчик формы, то выводим
if(isset($_POST['ok'])){
if($money_user<$money)
{
echo '<div class="podmenu"><font color="red">На вашем балансе не достаточно средств для выполнения данной операции!</font></div>';
}
if ($money<0)
{
echo '<div class="podmenu"><font color="red">Минусовое число!</font></div>' ;
}
if($money_user>$money && $money>0)
{
mysql_query("INSERT INTO output(id_iser, sum) values('".$user['id']."', '".$money."')");
mysql_query("UPDATE `users` SET `money` = `money`-".$money." WHERE `id` = '".$user['id']."'");
mysql_query("INSERT INTO `ar` SET `prichina` = 'Ввывод средств', `kto` = '".$user['id']."', `kom` = '- ".$money."'");
//Запись в ленту

mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '1', `kto` = '".$user['id']."', `text` = 'Новая заявка на вывод средств[url=".$HOME."/billing/admin.php?act=output] в админку[/url]'");

mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '32', `kto` = '".$user['id']."', `text` = 'Новая заявка на вывод средств[url=".$HOME."/billing/admin.php?act=output] в админку[/url]'");

echo '<div class="podmenu"><font color="green">Ваша заявка на вывод средств принята</font></div>';
}
}
echo '<div class="podmenu"><form action="" method="POST">
Сумма вывода:<br />
<input type="text" name="money">
<input type="submit" name="ok" value="Запросить вывод">
</form></div>';
//Выводим ноги
require_once ('../system/footer.php');
?>







